# Joining CSVs

import csv

artists = {}
with open("artist.csv", "r") as file:
    reader = csv.DictReader(file)
    for row in reader:
        artists[row["ArtistId"]] = row["Name"]

albums = []
with open("album.csv", "r") as file:
    reader = csv.DictReader(file)
    for row in reader:
        albums.append(row)

for album in sorted(albums, key=lambda a: a["Title"]):
    print(album["Title"], "by", artists[album["ArtistId"]])
